Subject: Reduce frequency of GET requests for UI updates

Description

Please explore two ways to reduce the frequency of GET requests for UI updates:

a) is it possible for the UI to detect window/tab hide/unhide events? there is no reason to update the UI when it is not visible.

b) is it possible to increase the time between consecutive requests, perhaps if no updates have been received for a while? Say, whenever

there's an update, the requests happen at intervals of 1s, 1s, 2s, 5s, 10s, and then every 10s.

The intervals should be configurable.

Associated revisions

Revision aeadb7bf - 11/10/2011 12:43 pm - Kostas Papadimitriou 

Improved updateHandler object, Refs #1245

- Optionally dynamicly increased interval by specified value

- Event triggering/handling for recurrent API events

Revision 1cc6e94f - 11/10/2011 01:54 pm - Kostas Papadimitriou 

A more sophisticated approach on UI update intervals, Refs #1245

Dynamically updated intervals of recurrent api calls.

- Start updating on UI_UPDATE_INTERVAL intervals.

- Increase interval by UI_UPDATE_INTERVAL_INCREASE after

  UI_UPDATE_INTERVAL_INCREASE_AFTER_CALLS_COUNT notmodified responses.

  Increase should stop when UI_UPDATE_INTERVAL_MAX is reached.

- On non notmodified responses and other api requests set interval

  to UI_UPDATE_INTERVAL_FAST and continue by increasing it.

History

#1 - 10/18/2011 05:45 pm - Vangelis Koukis

- Due date set to 11/11/2011

#2 - 11/10/2011 03:17 pm - Kostas Papadimitriou

- Status changed from Assigned to Feedback

A more sophisticated approach on UI update intervals has been commited on commit:1cc6e94

the intervals are now dynamically set by the following rules,

    1. Start updating on UI_UPDATE_INTERVAL intervals.
    2. Increase interval by UI_UPDATE_INTERVAL_INCREASE after

UI_UPDATE_INTERVAL_INCREASE_AFTER_CALLS_COUNT notmodified responses.

Increase should stop when UI_UPDATE_INTERVAL_MAX is reached.

    3. On non notmodified responses and other api requests set interval

to UI_UPDATE_INTERVAL_FAST and continue by increasing it (step 1).

#3 - 01/16/2012 06:21 pm - Vangelis Koukis

- Status changed from Feedback to Closed
